
$(".popular").hide();




$(document).on("click", ".likeSee__state__filter--item", function (event) {
    $(".CaseNews").toggle();
    $(".popular").toggle();
    $(".likeSee__state__filter--item").removeClass('active');
    $(this).addClass("active");
});


const urlParams = new URLSearchParams(window.location.search);
let id = urlParams.get('cid');
console.log(id);

function get_data() {
    // var desid2=String(desid);
    // console.log(desid2);
    // $("#version").val(desid);
    // $("#version").html(desid);
    $.ajax({
        method: "GET",
        // url: `json/cases-${id}.json`,
        url: `json/cases-${id}.json`,
        dataType: "json",
    })
        .done(function (msg) {
            console.log(msg);
            let designersinfo = "";
            let CaseInfo = "";
            let CaseTag = "";
            let CaseData = "";
            let CaseNews = "";
            let CasePopular = "";
            let CaseDetail = "";
            let CasePageTitle = "";
            let CaseImgQuantity = "";

            for (let i = 0; i < msg.length; i++) {
                designersinfo = `
                <div class="container container-width-column px-md-0">
                    <div class="article__wrapper">
                            <h2 class="h4">${msg[i].Casetitle}</h2>
                        <div class="d-flex justify-content-between">
                            <div class="small">${msg[i].CaseTeamName} ｜ 圖片提供:${msg[i].CaseCompany}</div>
                            <div class="small">${msg[i].CaseDate}｜ 人氣:${msg[i].CaseViews}</div>
                        </div>
                    </div>
                </div>`

                CaseInfo = `
                <div class="row mx-0 justify-content-around align-items-center">
                        <div class="col-md-3 px-mx-0">
                            <div class="info__items border-end">
                                <div>
                                    <div class="info__items__title">風格</div>
                                    <div class="info__items--ellipse">${msg[i].CaseStyle}</div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-3 px-mx-0">
                            <div class="info__items border-end">
                                <div>
                                    <div class="info__items__title">格局</div>
                                    <div class="info__items--ellipse">${msg[i].CaseHouse}</div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-3 px-mx-0">
                            <div class="info__items border-end">
                                <div>
                                    <div class="info__items__title">坪數</div>
                                    <div class="info__items--ellipse">${msg[i].CaseSize}</div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-3 px-mx-0">
                            <div class="info__items">
                                <div>
                                    <div class="info__items__title">預算</div>
                                    <div class="info__items--ellipse">${msg[i].CaseProject}</div>
                                </div>
                            </div>
                        </div>
                    </div>`

                for (let j = 0; j < msg[i].CaseTag.length; j++) {
                    // console.log(msg[i].CaseTag.length);

                    // console.log(msg[i].CaseTag[j].Tag);

                    CaseTag += ' \
                        <a href="" class="btn btn-outline-custom rounded-0">'+ msg[i].CaseTag[j].Tag + '</a> \
                        ';
                }

                CaseData = `
             <h4 class="d-none d-md-block">CASE DATA</h4>
             <div class="caseData__infoItems">
                <div class="caseData__infoItems__list">
                    <div class="caseData__infoItems__list--lf">居住成員:</div>
                    <div class="caseData__infoItems__list--rt">${msg[i].CaseDataMember} </div>
                 </div>
                <div class="caseData__infoItems__list">
                    <div class="caseData__infoItems__list--lf">房屋坪數:</div>
                    <div class="caseData__infoItems__list--rt">${msg[i].CaseDataSize}</div>
                </div>
                <div class="caseData__infoItems__list">
                    <div class="caseData__infoItems__list--lf">設計風格:</div>
                    <div class="caseData__infoItems__list--rt">${msg[i].CaseDataStyle}</div>
                </div>
                <div class="caseData__infoItems__list">
                    <div class="caseData__infoItems__list--lf">房屋類型:</div>
                    <div class="caseData__infoItems__list--rt">${msg[i].CaseDataType}</div>
                </div>
                <div class="caseData__infoItems__list">
                    <div class="caseData__infoItems__list--lf">房屋狀況:</div>
                    <div class="caseData__infoItems__list--rt">${msg[i].CaseDataSituation}</div>
                </div>
                <div class="caseData__infoItems__list">
                    <div class="caseData__infoItems__list--lf">圖片提供:</div>
                    <div class="caseData__infoItems__list--rt">${msg[i].CaseDataImgProvide}</div>
                </div>
                <div class="caseData__infoItems__list">
                    <div class="caseData__infoItems__list--lf">空間格局:</div>
                    <div class="caseData__infoItems__list--rt">${msg[i].CaseDataSpace}</div>
                </div>
                <div class="caseData__infoItems__list">
                    <div class="caseData__infoItems__list--lf">主要建材:</div>
                    <div class="caseData__infoItems__list--rt">${msg[i].CaseDataMaterial}</div>
                </div>
            </div> `

                CaseData2 = `
            <div class="caseData__designerBlock h-100">
                            <div class="caseData__designerBlock__designer d-block d-md-none">
                                <h4>聯絡設計師</h4>
                                <ul>
                                    <li><a itemprop="item" href="/designer-index.php?designer_id=779"
                                            target="_blank">${msg[i].CaseCompany}</a></li>
                                    <li><a itemprop="item" href="/designer-index.php?designer_id=779"
                                            target="_blank">${msg[i].CaseTeamName} 設計師</a></li>
                                    <li>免付費諮詢專線</li>
                                    <li><a href="tel:${msg[i].ContactFreeTel}" class="tel">${msg[i].ContactFreeTel}</a></li>
                                </ul>

                            </div>
                            <div class="caseData__designerBlock__designer--pc d-none d-md-block">
                                <div class="caseData__designerBlock__designer--above">
                                    <h4>聯絡設計師</h4>
                                    <ul>
                                        <li><a href="" target="_blank">${msg[i].CaseCompany}</a></li>
                                        <li><a href="" target="_blank">${msg[i].CaseTeamName} 設計師</a></li>
                                    </ul>
                                </div>
                                <div class="caseData__designerBlock__designer--below">
                                    <ul>
                                        <li>
                                            免付費諮詢專線
                                        </li>
                                        <li>
                                            <a href="tel:${msg[i].ContactFreeTel}" class="tel">${msg[i].ContactFreeTel}</a>
                                        </li>
                                    </ul>
                                </div>
                            </div>

                            <div class="caseData__designerBlock__avatar">
                                <a href="">
                                    <div class="caseData__designerBlock__avatar--img"
                                        style="background-image:url(${msg[i].ContactDesignerImg});">

                                    </div>
                                </a>
                            </div>
                        </div>`

                for (var k = 0; k < msg[i].ProfileRecently.length; k++) {
                    CaseNews +=
                        '\<div class="col-md-4 ps-0"\
                            <div class="vue-waterfall-slot">\
                             <div class="card CaseNews-Card">\
                                 <a href="'+ msg[i].ProfileRecently[k].ProfileLink + '">\
                                    <img class="img-fluid"\
                                    src="'+ msg[i].ProfileRecently[k].ProfileImg + '"\
                                    alt="幸福空間個案圖" class="card-img-top">\
                                </a>\
                            </div>'
                    CaseNews += '<div class="card-body">'
                    for (var z = 0; z < msg[i].ProfileRecently[k].ProfileTag.length; z++) {
                        // console.log(msg[i].ProfileRecently[k].ProfileTag.length)
                        CaseNews += '\
                                <a href="">\
                                '+ msg[i].ProfileRecently[k].ProfileTag[z].Tag + '\
                                </a>\
                                ';
                    }
                    CaseNews += '</div></div></div></div>'
                };

                for (var x = 0; x < msg[i].ProfilePopularity.length; x++) {
                    CasePopular +=
                        '<div class="likeSee__rule"\
                            <a href="'+ msg[i].ProfilePopularity[x].ProfileLink + '">\
                                <div class="likeSee__bgImg">\
                                    <img class="img-fluid" src="'+ msg[i].ProfilePopularity[x].ProfileImg + '" alt="幸福空間個案圖" class="card-img-top">\
                                </div>\
                            </a>'
                    CasePopular += '<div class="likeSee__tag">'
                    for (var y = 0; y < msg[i].ProfilePopularity[x].ProfileTag.length; y++) {
                        // console.log(msg[i].ProfileRecently[k].ProfileTag.length)
                        CasePopular += '\
                                <a href="'+ msg[i].ProfilePopularity[x].ProfileTag[y].TagLink + '" class="likeSee__tag--item">\
                                '+ msg[i].ProfilePopularity[x].ProfileTag[y].Tag + '\
                                </a>\
                                ';
                    }
                    CasePopular += '</div></div>'
                };
                // 個案細節
                CaseDetail += '<div class="row px-0 mx-0">'
                CaseDetail += '<div class="col-md-8 case-slick-box" style="overflow-y: hidden;"><div class="img-wrapper-desktopp"><div class="CaseDetail-slick">'
                // 輪播圖
                for (let j = 0; j < msg[i].CaseDetail.length; j++) {
                    CaseDetail +=
                    '<div style="width: 960px;" class="CaseSlider" data-info="'+j+'"><div class="img-wrapper-desktop"><div class="swiper-zoom-container-desktop"><img src="'+ msg[i].CaseDetail[j].CaseDetailImg+ '" alt=""></div></div></div>'

                }

                CaseDetail += '</div></div></div>'

                CaseDetail +=
                    '<div class="col-md-4" style="background-color:#fff;">\
                    <div class="modal-header border-0">\
                    <button type="button" class="btn-close close-window"></button>\
                </div>\
                <div class="d-flex justify-content-start align-items-center pt-5">\
                <a href="">\
                    <div class="contact-section-avatar me-2">\
                        <img class="img-fluid" src="'+ msg[i].ContactDesignerImg + '" alt="">\
                    </div>\
                </a>\
                <div class="ms-2" style="width: 100%;">\
                    <a href="" class="contact-section-company">\
                        <div>\
                        '+ msg[i].CaseCompany + '\
                        </div>\
                    </a>\
                    <div style="display: flex;" class="contact-section-detail-box mt-3">\
                        <div class="contact-section-detail-lf">\
                            <div><i aria-hidden="true" class="fa fa-phone"></i></div>\
                        </div>\
                        <div class="contact-section-detail-rt">\
                            <div><a href="tel:'+ msg[i].ContactFreeTel + '">免付費 ' + msg[i].ContactFreeTel + '</a></div>\
                        </div>\
                    </div>\
                    </div>\
                </div>\
                '
                CaseDetail +=
                    '<div class="info-area-title-desktop">\
                    <a href="'+ msg[i].CasePageLink + '" target="_blank">\
                    '+ msg[i].Casetitle + '\
                    </a>\
                </div>\
                <div class="divider"></div>\
                '
                CaseDetail +=
                    '<div class="info-area-other-case-desktop py-3">\
                    <div class="ml-1">該個案的其他圖片(<span id="index" class="slickNumber">1</span>/'+ msg[i].CaseDetail.length + ')</div>\
                    <div class="other-case-desktop-items d-flex flex-wrap">\
                '
                for (let j = 0; j < msg[i].CaseDetail.length; j++) {
                 
                    CaseDetail +=
                        '<div id="img-0" data-thisid=('+j+') class="w-20 m-1 p-1 img_all CaseOtherImg" style="cursor: pointer;" onclick="slickGoTo('+j+')">\
                                <img src=" '+ msg[i].CaseDetail[j].CaseDetailImg + '" width="70" height="70" alt="該個案的其他圖片">\
                        </div>'
                        
                };
                
             
                CaseDetail += '</div></div>';

                CaseDetail += '<div class="divider"></div>';

                CaseDetail +=
                    '<div class="info-area-same-case-desktop py-3">\
                    <div class="ml-1"><span>工業風</span> 其他作品</div>\
                    <div class="same-case-desktop-items d-flex flex-wrap">\
                '
                for (let j = 0; j < msg[i].OtherStylePortfolio.length; j++) {
                    CaseDetail +=
                        '<div class="w-20 m-1 p-1 ">\
                        <a href="'+ msg[i].OtherStylePortfolio[j].PortfoliolLink + '">\
                        <img src="'+ msg[i].OtherStylePortfolio[j].PortfoliolImg + '" width="70" height="70" alt="' + msg[i].OtherStylePortfolio.PortfoliolImgAlt + '">\
                        </a>\
                    </div>'
                };
                CaseDetail += '</div></div>';
                CaseDetail += '<div class="divider"></div>';

                CaseDetail +=
                    '<div class="info-area-data-desktop py-3">\
                <div class="ml-2">CASE DATA</div>\
                <div class="data-table-desktop ml-2">\
                    <div class="data-table-items d-flex">\
                        <div class="data-table-lf">\
                            <div>裝潢費用:</div>\
                        </div>\
                        <div class="data-table-rt">\
                            <div>'+ msg[i].CaseProject + '</div>\
                        </div>\
                    </div>\
                    <div class="data-table-items d-flex">\
                        <div class="data-table-lf">\
                            <div>居住成員:</div>\
                        </div>\
                        <div class="data-table-rt">\
                            <div>'+ msg[i].CaseDataMember + '</div>\
                        </div>\
                    </div>\
                    <div class="data-table-items d-flex">\
                        <div class="data-table-lf">\
                            <div>設計風格:</div>\
                        </div>\
                        <div class="data-table-rt">\
                            <div>'+ msg[i].CaseStyle + '</div>\
                        </div>\
                    </div>\
                    <div class="data-table-items d-flex">\
                        <div class="data-table-lf">\
                            <div>房屋類型:</div>\
                        </div>\
                        <div class="data-table-rt">\
                            <div>'+ msg[i].CaseDataType + '</div>\
                        </div>\
                    </div>\
                    <div class="data-table-items d-flex">\
                        <div class="data-table-lf">\
                            <div>房屋坪數:</div>\
                        </div>\
                        <div class="data-table-rt">\
                            <div>'+ msg[i].CaseSize + '</div>\
                        </div>\
                    </div>\
                    <div class="data-table-items d-flex">\
                        <div class="data-table-lf">\
                            <div>房屋狀況:</div>\
                        </div>\
                        <div class="data-table-rt">\
                            <div>'+ msg[i].CaseDataSituation + '</div>\
                        </div>\
                    </div>\
                    <div class="data-table-items d-flex">\
                        <div class="data-table-lf">\
                            <div>圖片提供:</div>\
                        </div>\
                        <div class="data-table-rt">\
                            <div>'+ msg[i].CaseCompany + '</div>\
                        </div>\
                    </div>\
                    <div class="data-table-items d-flex">\
                        <div class="data-table-lf">\
                            <div>空間格局:</div>\
                        </div>\
                        <div class="data-table-rt">\
                            <div>'+ msg[i].CaseDataSpace + '</div>\
                        </div>\
                    </div>\
                    <div class="data-table-items d-flex">\
                        <div class="data-table-lf">\
                            <div>主要建材:</div>\
                        </div>\
                        <div class="data-table-rt">\
                            <div>'+ msg[i].CaseDataMaterial + '</div>\
                        </div>\
                    </div>\
                </div>\
                </div>';

                CaseDetail += '<div class="divider"></div>';
                CaseDetail +=
                    '<div class="info-area-contact-desktop py-3 mb-2">\
                    <div class="ml-2">聯絡資訊 Info</div>\
                        <div class="contact-section-desktop ml-2 mt-2">\
                            <div class="contact-section-detail-desktop mt-3">\
                                <div class="d-flex">\
                                    <div class="contact-section-detail-lf">\
                                    <div><i aria-hidden="true" class="fa fa-phone"></i></div>\
                                </div>\
                            <div class="contact-section-detail-rt">\
                                    <div>\
                                        <a href="tel:'+ msg[i].CaseCompanyTel + '">' + msg[i].CaseCompanyTel + '</a>\
                                    </div>\
                                </div>\
                            </div>\
                            <div class="d-flex">\
                                <div class="contact-section-detail-lf">\
                                    <div><i class="fas fa-map-marker-alt"></i></div>\
                                </div>\
                                <div class="contact-section-detail-rt">\
                                    <div><a href="'+ msg[i].CaseCompanyMap + '" target="_blank">' + msg[i].CaseCompanyAddress + '</a></div>\
                                </div>\
                            </div>\
                            <div class="d-flex">\
                                    <div class="contact-section-detail-lf">\
                                        <div><i class="far fa-envelope"></i></div>\
                                    </div>\
                                    <div class="contact-section-detail-rt">\
                                        <div><a href="mailto:'+ msg[i].CaseCompanyEmail + '">' + msg[i].CaseCompanyEmail + '</a></div>\
                                    </div>\
                            </div>\
                            <div class="d-flex">\
                                <div class="contact-section-detail-lf">\
                                    <div><i aria-hidden="true" class="fa fa-home"></i></div>\
                                </div>\
                                <div class="contact-section-detail-rt">\
                                    <div><a href="'+ msg[i].CaseCompanyWeb + '"\
                                    target="_blank">'+ msg[i].CaseCompanyWeb + '</a></div>\
                                </div>\
                            </div>\
                        </div>\
                    </div>\
                </div>'
                CaseDetail += '</div>'

                CasePageTitle += '' + msg[i].Casetitle + ''

                CaseImgQuantity += '<span class="ms-2 case-img-quantity">' + msg[i].CaseDetail.length + '</span>'
            }
            $('.article').html(designersinfo);
            $('.CaseInfo').html(CaseInfo);
            $('.CaseTag').html(CaseTag);
            $('.caseData-PC-left').html(CaseData);
            $('.caseData-PC-right').html(CaseData2);
            $('.CaseNews-Card').html(CaseNews);
            $('.Case-popular').html(CasePopular);
            $('.CaseModel').html(CaseDetail);
            $('#case-page-title').html(CasePageTitle);
            $('.case-img-quantity').html(CaseImgQuantity);


                $('.CaseDetail-slick').slick({
                    slidesToShow: 1, //預設 1 幻燈片顯示幾張
                    slidesToScroll: 1,//預設 1 幻灯片每次滑動幾張
                    arrows: true, // 預設 true 左右箭頭是否顯示
                    prevArrow: '<button type="button" class="slick-prev"><i class="fas fa-chevron-left" style="font-size: 32px;color: white; transform: translateY(-10px);"></i></button>',
                    nextArrow: '<button type="button" class="slick-next"><i class="fas fa-chevron-right" style="font-size: 32px;color: white;transform: translateY(-10px);"></i></button>'
                });
                
                var activeimg = $(".slick-active img")[0];

                console.log(activeimg);
    
                var imgwidth = activeimg.width;
    
                var imgheight = activeimg.height;
    
                console.log(imgwidth);


            // if(imgwidth < 1000 && imgwidth >imgheight)
            // {
            //     console.log(activeimg.parentNode)
            //     activeimg.parentNode.classList.add('swiper-zoom-container-sm-desktop');
            // }

                if(imgwidth < imgheight){
                    activeimg.style.width = 'auto';
                }
 
            

        });
}

get_data();

$('.morePhotoTip > a').attr('href', `./casedetail.html?cid=${id}`);

function slickGoTo(key) {

    let slickNumber="";
    $('.CaseDetail-slick').slick('slickGoTo', key);
    
    let slickNo=key+1;
    console.log(slickNo);

    slickNumber+=''+slickNo+''

    $('.slickNumber').html(slickNumber);

}


$(document).on("click", ".slick-prev", function (event) {
    let slickNumbertest='';
    console.log(desid-1);

    let slickNumber1=desid+1;

    slickNumbertest+=''+slickNumber1+''

    $('.slickNumber').html(slickNumbertest);
    

});


$(document).on("click", ".slick-next", function (event) {
var desid =$(".slick-active").data("info");

let slickNumbertest='';
    console.log(desid+1);

    let slickNumber1=desid+1;

    slickNumbertest+=''+slickNumber1+''

    $('.slickNumber').html(slickNumbertest);

});

$(document).on("click", ".close-window", function (event) {
    window.close();
});
